Bug 833239 - partition creation crashes on allocation
partition creation crashes on allocation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 21:53 EDT by GeoffLeach
Modified: 2013-07-31 19:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:54:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of /tmp (102.35 KB, application/x-gzip)
2012-06-23 19:44 EDT, GeoffLeach
no flags Details
Traceback file pulled from attached archive (315.78 KB, text/plain)
2012-07-13 19:23 EDT, Jesse Keating
no flags Details

  None (edit)
Description GeoffLeach 2012-06-18 21:53:27 EDT
Description of problem:partition creation crashes on allocation


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1.boot from DVD
2.go to custom partitions
3.create root of 10,000MB
  
Actual results:crash. traceback much to large to copy with pencil


Expected results:allocation proceeds


Additional info:What am I doing wrong. Dumb-ass error? Allocation is specified in MB. This is a 729 GB disk, so to allocate a partition of 100GB, that would be 100x1000 GB, no?
Comment 1 Jesse Keating 2012-06-19 01:16:05 EDT
When anaconda crashes it often gives you the ability to file a bug report, or otherwise copy the crash report off the system.  We cannot much help you without the logs/crash report.  Can you try again and either file a new bug from the crash window or upload the logs to this bug?
Comment 2 GeoffLeach 2012-06-19 19:16:05 EDT
Yes, I did indeed see the option to report to Bugzilla. Here's the problem. The system in question uses HDMI for display and WiFi for internet. The WiFi is provided by a Netgear USB dongle, which is not detected by Anaconda. Any suggestions?
Comment 3 Jesse Keating 2012-06-19 19:22:51 EDT
You should be able to save the logs to a USB thumbdrive and upload them from another computer.  Setting back to needinfo.
Comment 4 GeoffLeach 2012-06-20 00:01:12 EDT
I knew I'd have a use for that thumbdrive one day. The thing is formatted in VFAT. Will that be accepted by Anaconda?
Comment 5 Jesse Keating 2012-06-20 01:13:18 EDT
I believe so, yes.
Comment 6 GeoffLeach 2012-06-23 19:44:58 EDT
Created attachment 593959 [details]
contents of /tmp

cp -r to flash drive did not work, so the contents of the bug data is up one level.
Comment 7 GeoffLeach 2012-06-23 19:46:45 EDT
It turns out that the problem was that I was attempting to create new partitions within an allocated partition, sda4. After all, it said "free". Removing that partition permitted me to complete the allocation.
Comment 8 Jesse Keating 2012-07-13 19:23:00 EDT
Created attachment 598193 [details]
Traceback file pulled from attached archive
Comment 9 Jesse Keating 2012-07-13 20:11:45 EDT
It looks like in pyanaconda.devicetree.DeviceTree._remove we're raising a ValueError.  But nothing is catching that up the stack.  At one point we're looking for PartitioningError but that's not what's being raised.

I need to check with the code author to see what the intent here is to see if we can fail more gracefully.
Comment 10 Fedora End Of Life 2013-07-03 18:12:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 19:54:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.